import { FunctionalComponent, SVGAttributes } from 'vue';
import MarkdownEditor from './index';
export declare enum ToolbarItemTypes {
    head = "Head",
    table = "Table",
    media = "Media",
    bold = "Bold",
    strikethrough = "Strikethrough",
    italic = "Italic",
    tasklist = "Tasklist",
    orderlist = "Orderlist",
    unorderlist = "Unorderlist",
    link = "Link",
    preview = "Preview",
    blockcode = "Blockcode",
    inlinecode = "Inlinecode",
    quote = "Quote",
    save = "Save",
    sun = "Sun",
    helper = "Helper",
    format = "Format",
    divider = "Divider",
    fullscreen = "Fullscreen"
}
export interface ToolbarItemType {
    type: ToolbarItemTypes | string;
    title: string;
    icon: FunctionalComponent<SVGAttributes, {}>;
    shortcutKey?: string;
    action?: () => void;
    end?: (item: ToolbarItemType, type: string) => void;
}
export interface ToolbarsType {
    top: ToolbarItemType[];
    center: ToolbarItemType[];
    bottom: ToolbarItemType[];
}
export default function createToolbar(editor: MarkdownEditor): ToolbarsType;
